set -e

test -x /usr/bin/module-assistant || apt-get install module-assistant

cd /usr/src

kernels="$(ls -d1 /lib/modules/*/build 2>/dev/null | cut -d/ -f4)"
modules=fglrx

module-assistant clean $modules
module-assistant build --text-mode --force --kvers-list "$kernels" $modules

ls -l *.deb
for m in $modules ; do
	for k in $kernels ; do
		echo "* ${m} ${k}:"
		ls -l ${m}-kernel-${k}_*.deb
	done
done
